[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetLogicalClientRect

Logical client area, can be bigger than the visible client area.

## Declaration

Source position: controls.pp line 1396

`protected function TControl.GetLogicalClientRect: TRect; virtual;`

## Function result

TControl returns the ClientRect.

## Description

A Forms.TScrollingWinControl has a logical client area, of which only a portion can be visible. The origin always is (0,0), regardless of an ScrollOffset.

## See also

TControl.BoundsRect |  | The Top, Left and Bottom, Right for the control, in client coordinates.
TControl.ClientRect |  | Size of the client area for the control.
TControl.GetScrolledClientRect |  | Get the visible part of the logical client area.